import { Component, ViewEncapsulation } from '@angular/core';
import { PrismClass } from './prism.class';
export class PrismComponent extends PrismClass {
    ngAfterViewInit() {
        this.highlight(false);
    }
    ngAfterViewChecked() {
        this.highlight(true);
    }
    ngOnChanges(changes) {
        if (changes) {
            if (changes.hasOwnProperty('code')) {
                if (changes.code.currentValue !== changes.code.previousValue) {
                    this.changed = true;
                }
            }
            if (changes.hasOwnProperty('language')) {
                if (changes.language.currentValue !== changes.language.previousValue) {
                    this.changed = true;
                }
            }
        }
    }
    ngOnInit() {
        if (this.code && typeof (this.code) === 'string' && (typeof (this.changed) === 'boolean' && this.changed === true)) {
            this.highlight(this.changed);
            if (this.callback) {
                this.callback(this.codeElementRef.nativeElement);
            }
        }
    }
}
PrismComponent.decorators = [
    { type: Component, args: [{
                encapsulation: ViewEncapsulation.None,
                selector: 'prism-highlight',
                template: `<pre class="language-{{language}}" *ngIf="language">
  <code class="language-{{language}}" *ngIf="!code" #codeElementRef><ng-content></ng-content></code>
  <code class="language-{{language}}" *ngIf="code" #codeElementRef></code>
</pre>`
            },] },
];
PrismComponent.ctorParameters = () => [];
//# sourceMappingURL=prism.component.js.map